# ios File Reference

`#include <iosfwd>`
`#include <exception>`
`#include <bits/char_traits.h>`
`#include <cstdio>`
`#include <bits/localefwd.h>`
`#include <bits/ios_base.h>`
`#include <streambuf>`
`#include <bits/basic_ios.h>`

Include dependency graph for ios:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Detailed Description

This is a Standard C++ Library header. You should `#include` this header in your programs, rather than any of the "st[dl]_*.h" implementation files.

Definition in file ios.